summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-11-22 16:45:43 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-11-22 16:45:43 +0100
commit2b9ca5d067d8fd3180b200a052ab00b553def3b0 (patch)
treebf9b3300cd720a726c88ebf0335b9c13c15f84c5 /media-sound/asunder
parentmedia-libs/opusfile: Removed old. (diff)
downloadgentoo-2b9ca5d067d8fd3180b200a052ab00b553def3b0.tar.gz
gentoo-2b9ca5d067d8fd3180b200a052ab00b553def3b0.tar.bz2
gentoo-2b9ca5d067d8fd3180b200a052ab00b553def3b0.zip
media-sound/asunder: Bump to version 2.9.2
Package-Manager: Portage-2.3.16, Repoman-2.3.6
Diffstat (limited to 'media-sound/asunder')
-rw-r--r--media-sound/asunder/Manifest1
-rw-r--r--media-sound/asunder/asunder-2.9.2.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/media-sound/asunder/Manifest b/media-sound/asunder/Manifest
index a8c88165101..41d636edbc9 100644
--- a/media-sound/asunder/Manifest
+++ b/media-sound/asunder/Manifest
@@ -1,4 +1,5 @@
DIST asunder-2.2.tar.bz2 208936 SHA256 bb608c1cdefcce2f533fb5d5cc23838846b2810ec89d0ebb083507cf27e7822f SHA512 6f2a9a2f6d047a41ef0aaa221fafdc86f3fe6e49f9c8cfcaae4e325b62f3f17cddafa57982d2d3aca0922bce6aa29015d398cbf97ddfb44c7d7dfdd75aefab4c WHIRLPOOL 16b0da49f44d09f95d2a86f6290718d850c014c7aef0e875654efda05e0b959bf64a21f2c101a4e897aec633dce215f41ee3f1db221c25d8b04cb600372a633b
DIST asunder-2.8.1.tar.bz2 271124 SHA256 1e33339e5b0eaea81f1ca5b00745b1bc932f31a7db99bff55e0f3b6178fdf78d SHA512 3ba0e8f2cdc73ba818ea3363fa41ad16ce48e532b681645c762a0d58951ae048727d8b5fbe911472f75c21346f1d6719fee075389fb48245a9c417acf7213c39 WHIRLPOOL 78ab5da1b5c57173a30a90517f7d9ac68c0fb58c9505d9cea9dd56e430d1fc189c064e686491ff3cfa38fa77dbe0dc53f56dc38bb4324b74526ec54f50645ca6
DIST asunder-2.9.1.tar.bz2 278842 SHA256 401d29d2ea5e6a70cb1485edd6ae5bfaf495fc02d3f0322991c8d6cbbbb2c6fb SHA512 91c4e323cb548d565d7af27259b312dbfcb6de4a9bb2811639009a9944ab514082c4f030a4aa0f3a13d4ccda52253f1597dfb8ef39764fcd12d02a0d7afc6bf2 WHIRLPOOL 153991c08b8af857490f9f0fa0a7eb3502812a44f1ed77d4f3fcf07c84f42be822fa1abe5213e40ab5c09b01058af3c84c49934ae6c65bcf82c61d4bb611620f
+DIST asunder-2.9.2.tar.bz2 279227 BLAKE2B 7b8e1a54e4577267d7c4b4fa3f3fd5b434bc52465d3c473de309f48ac196c2d40885acf08fe84669ccfd5c107d7e45e45069c1757fbc2b550cdb8eaa90e01475 SHA512 37b8ed7c7eed46e594807866d29c3bd37cba8d880c68e714168ae373a8d0dbc58cf837dbd704f95ddbe2544880470fb1f176ab6a67643a4a45b048eabb87e4c2
DIST asunder-2.9.tar.bz2 271744 SHA256 12a0329871c938344954f9c10cd4391c630ba0d5b976023cbf91f6b915ff5467 SHA512 ac3f0265c31ee2ca9c57d9e189fa56b62113f2af541c7e17456f70ddff20994eeefbb74b3bb5deffed3aac6806bfd99493fb85411e42f9577c77d617bec246c1 WHIRLPOOL d50aeda80d0191b408a6d03c01f2d91b412d7aa44e5117b632699de64605e7be1fe30d7b1ecff333041ea9deca93e7ffb61bd5428f24d6b6382324f6b4b597d5
diff --git a/media-sound/asunder/asunder-2.9.2.ebuild b/media-sound/asunder/asunder-2.9.2.ebuild
new file mode 100644
index 00000000000..06b12e80c3c
--- /dev/null
+++ b/media-sound/asunder/asunder-2.9.2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A graphical Audio CD ripper and encoder with support for many output formats"
+HOMEPAGE="http://littlesvr.ca/asunder/"
+SRC_URI="http://littlesvr.ca/${PN}/releases/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="aac flac mac mp3 musepack opus vorbis wavpack"
+
+COMMON_DEPEND=">=media-libs/libcddb-0.9.5
+ media-sound/cdparanoia
+ x11-libs/gtk+:2"
+DEPEND="${COMMON_DEPEND}
+ dev-util/intltool
+ virtual/pkgconfig
+ sys-devel/gettext"
+RDEPEND="${COMMON_DEPEND}
+ aac? ( media-sound/neroaac )
+ flac? ( media-libs/flac )
+ mac? ( media-sound/mac )
+ mp3? ( media-sound/lame )
+ musepack? ( media-sound/musepack-tools )
+ opus? ( media-sound/opus-tools )
+ vorbis? ( media-sound/vorbis-tools )
+ wavpack? ( media-sound/wavpack )"
+
+src_prepare() {
+ default
+ sed -i -e 's:cd syslogng && $(MAKE) install:true:' Makefile.in || die
+}